aboutsummaryrefslogtreecommitdiff
path: root/media/video/dvdauthor/dvdauthor.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'media/video/dvdauthor/dvdauthor.SlackBuild')
-rwxr-xr-xmedia/video/dvdauthor/dvdauthor.SlackBuild35
1 files changed, 18 insertions, 17 deletions
diff --git a/media/video/dvdauthor/dvdauthor.SlackBuild b/media/video/dvdauthor/dvdauthor.SlackBuild
index 9af23be6..47c6a27f 100755
--- a/media/video/dvdauthor/dvdauthor.SlackBuild
+++ b/media/video/dvdauthor/dvdauthor.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# dvdauthor.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# dvdauthor.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# dvdauthor.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# dvdauthor.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for dvdauthor
-# http://downloads.sourceforge.net/dvdauthor/
-#
-# Author: Rudson R. Alves
+# slackbuild for dvdauthor, by Rudson R. Alves
+# requires: libdvdread
+# tested: dvdauthor-0.6.14
#
# Look for slackbuildrc
@@ -29,7 +30,7 @@ fi
CWD="$(pwd)"
SRC_NAME="dvdauthor"
PKG_NAME="dvdauthor"
-ARCH=${ARCH:=i468}
+ARCH=${ARCH:=i486}
SRC_VERSION=${VERSION:=0.6.14}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
@@ -40,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -74,13 +75,14 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+SRC="$SRC_NAME-$VERSION.tar.gz"
URL="http://downloads.sourceforge.net/dvdauthor/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
@@ -90,7 +92,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -121,8 +123,8 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler---------------------------------------------------|
-dvdauthor: dvdauthor.SlackBuild by Rudson R. Alves
+ |-----handy-ruler----------------------------------------------------|
+dvdauthor: dvdauthor.SlackBuild by Slack.Sarava
dvdauthor:
dvdauthor: dvdauthor is a program that will generate a DVD movie from a valid
dvdauthor: mpeg2 stream that should play when you put it in a DVD player.
@@ -142,4 +144,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-